<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="..\dllmain.cpp" />
    <ClCompile Include="..\utils\sha256.cpp" />
    <ClCompile Include="..\utils\util-hook.cpp" />
    <ClCompile Include="..\utils\utils.cpp" />
    <ClCompile Include="..\xlln-modules.cpp" />
    <ClCompile Include="xlln-wrapper.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\dllmain.hpp" />
    <ClInclude Include="..\resource.h" />
    <ClInclude Include="..\utils\sha256.hpp" />
    <ClInclude Include="..\utils\util-hook.hpp" />
    <ClInclude Include="..\utils\utils.hpp" />
    <ClInclude Include="..\xlln-modules.hpp" />
    <ClInclude Include="xlln-wrapper-resource.h" />
    <ClInclude Include="xlln-wrapper.hpp" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="..\xlln-wrapper.rc" />
  </ItemGroup>
  <ItemGroup>
    <None Include="xlln-wrapper-exports.def" />
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>15.0</VCProjectVersion>
    <ProjectGuid>{A8AC252E-5E80-4BEA-A20E-A73DC5D4B371}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>xllnwrapper</RootNamespace>
    <WindowsTargetPlatformVersion>8.1</WindowsTargetPlatformVersion>
    <ProjectName>dwmapi</ProjectName>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v140</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(SolutionDir)bin\TitleBinary.props" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(SolutionDir)bin\TitleBinary.props" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(SolutionDir)bin\TitleBinary.props" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(SolutionDir)bin\TitleBinary.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(TitleBinaryPath)</OutDir>
    <IntDir>$(SolutionDir)obj\$(ProjectName)\$(Platform)\$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
    <IntDir>$(SolutionDir)obj\$(ProjectName)\$(Platform)\$(Configuration)\</IntDir>
    <OutDir>$(SolutionDir)bin\$(TitleBinaryPath)</OutDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(TitleBinaryPath)</OutDir>
    <IntDir>$(SolutionDir)obj\$(ProjectName)\$(Platform)\$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
    <IntDir>$(SolutionDir)obj\$(ProjectName)\$(Platform)\$(Configuration)\</IntDir>
    <OutDir>$(SolutionDir)bin\$(TitleBinaryPath)</OutDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>false</SDLCheck>
      <PreprocessorDefinitions>WIN32;_DEBUG;XLLNWRAPPER_EXPORTS;_WINDOWS;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableUAC>false</EnableUAC>
      <ModuleDefinitionFile>xlln-wrapper-exports.def</ModuleDefinitionFile>
    </Link>
    <ResourceCompile>
      <PreprocessorDefinitions>PROJECT_NAME=$(ProjectName);BUILD_DATETIME_YEAR=$([System.DateTime]::Now.ToUniversalTime().ToString("yyyy"));BUILD_DATETIME_MONTH=$([System.DateTime]::Now.ToUniversalTime().ToString("MM"));BUILD_DATETIME_DAY=$([System.DateTime]::Now.ToUniversalTime().ToString("dd"));BUILD_DATETIME_HOUR=$([System.DateTime]::Now.ToUniversalTime().ToString("HH"));BUILD_DATETIME_MINUTE=$([System.DateTime]::Now.ToUniversalTime().ToString("mm"));BUILD_DATETIME_SECOND=$([System.DateTime]::Now.ToUniversalTime().ToString("ss"));%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ResourceOutputFileName>$(IntDir)xlln-wrapper.res</ResourceOutputFileName>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>false</SDLCheck>
      <PreprocessorDefinitions>_DEBUG;XLLNWRAPPER_EXPORTS;_WINDOWS;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableUAC>false</EnableUAC>
      <ModuleDefinitionFile>xlln-wrapper-exports.def</ModuleDefinitionFile>
    </Link>
    <ResourceCompile>
      <PreprocessorDefinitions>PROJECT_NAME=$(ProjectName);BUILD_DATETIME_YEAR=$([System.DateTime]::Now.ToUniversalTime().ToString("yyyy"));BUILD_DATETIME_MONTH=$([System.DateTime]::Now.ToUniversalTime().ToString("MM"));BUILD_DATETIME_DAY=$([System.DateTime]::Now.ToUniversalTime().ToString("dd"));BUILD_DATETIME_HOUR=$([System.DateTime]::Now.ToUniversalTime().ToString("HH"));BUILD_DATETIME_MINUTE=$([System.DateTime]::Now.ToUniversalTime().ToString("mm"));BUILD_DATETIME_SECOND=$([System.DateTime]::Now.ToUniversalTime().ToString("ss"));%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ResourceOutputFileName>$(IntDir)xlln-wrapper.res</ResourceOutputFileName>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>false</SDLCheck>
      <PreprocessorDefinitions>WIN32;NDEBUG;XLLNWRAPPER_EXPORTS;_WINDOWS;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableUAC>false</EnableUAC>
      <ModuleDefinitionFile>xlln-wrapper-exports.def</ModuleDefinitionFile>
    </Link>
    <ResourceCompile>
      <PreprocessorDefinitions>PROJECT_NAME=$(ProjectName);BUILD_DATETIME_YEAR=$([System.DateTime]::Now.ToUniversalTime().ToString("yyyy"));BUILD_DATETIME_MONTH=$([System.DateTime]::Now.ToUniversalTime().ToString("MM"));BUILD_DATETIME_DAY=$([System.DateTime]::Now.ToUniversalTime().ToString("dd"));BUILD_DATETIME_HOUR=$([System.DateTime]::Now.ToUniversalTime().ToString("HH"));BUILD_DATETIME_MINUTE=$([System.DateTime]::Now.ToUniversalTime().ToString("mm"));BUILD_DATETIME_SECOND=$([System.DateTime]::Now.ToUniversalTime().ToString("ss"));%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ResourceOutputFileName>$(IntDir)xlln-wrapper.res</ResourceOutputFileName>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>false</SDLCheck>
      <PreprocessorDefinitions>NDEBUG;XLLNWRAPPER_EXPORTS;_WINDOWS;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableUAC>false</EnableUAC>
      <ModuleDefinitionFile>xlln-wrapper-exports.def</ModuleDefinitionFile>
    </Link>
    <ResourceCompile>
      <PreprocessorDefinitions>PROJECT_NAME=$(ProjectName);BUILD_DATETIME_YEAR=$([System.DateTime]::Now.ToUniversalTime().ToString("yyyy"));BUILD_DATETIME_MONTH=$([System.DateTime]::Now.ToUniversalTime().ToString("MM"));BUILD_DATETIME_DAY=$([System.DateTime]::Now.ToUniversalTime().ToString("dd"));BUILD_DATETIME_HOUR=$([System.DateTime]::Now.ToUniversalTime().ToString("HH"));BUILD_DATETIME_MINUTE=$([System.DateTime]::Now.ToUniversalTime().ToString("mm"));BUILD_DATETIME_SECOND=$([System.DateTime]::Now.ToUniversalTime().ToString("ss"));%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ResourceOutputFileName>$(IntDir)xlln-wrapper.res</ResourceOutputFileName>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>